<?php

/**
 * medidove customizer
 *
 * @package medidove
 */

// Exit if accessed directly
if (!defined('ABSPATH')) {
    exit;
}

/**
 * Added Panels & Sections
 */
function medidove_customizer_panels_sections($wp_customize)
{

    //Add panel
    $wp_customize->add_panel('medidove_customizer', [
        'priority' => 10,
        'title'    => esc_html__('medidove Customizer', 'medidove'),
    ]);

    /**
     * Customizer Section
     */
    $wp_customize->add_section('header_top_setting', [
        'title'       => esc_html__('Header Topbar Setting', 'medidove'),
        'description' => '',
        'priority'    => 10,
        'capability'  => 'edit_theme_options',
        'panel'       => 'medidove_customizer',
    ]);

    $wp_customize->add_section('header_mobile_info', [
        'title'       => esc_html__('Header Mobile Info', 'medidove'),
        'description' => '',
        'priority'    => 11,
        'capability'  => 'edit_theme_options',
        'panel'       => 'medidove_customizer',
    ]);

    $wp_customize->add_section('header_socials_setting', [
        'title'       => esc_html__('Header Social Setting', 'medidove'),
        'description' => '',
        'priority'    => 12,
        'capability'  => 'edit_theme_options',
        'panel'       => 'medidove_customizer',
    ]);

    $wp_customize->add_section('section_header_logo', [
        'title'       => esc_html__('Header Setting', 'medidove'),
        'description' => '',
        'priority'    => 13,
        'capability'  => 'edit_theme_options',
        'panel'       => 'medidove_customizer',
    ]);

    $wp_customize->add_section('breadcrumb_setting', [
        'title'       => esc_html__('Breadcrumb Setting', 'medidove'),
        'description' => '',
        'priority'    => 14,
        'capability'  => 'edit_theme_options',
        'panel'       => 'medidove_customizer',
    ]);

    $wp_customize->add_section('blog_setting', [
        'title'       => esc_html__('Blog Setting', 'medidove'),
        'description' => '',
        'priority'    => 15,
        'capability'  => 'edit_theme_options',
        'panel'       => 'medidove_customizer',
    ]);

    $wp_customize->add_section('slider_setting', [
        'title'       => esc_html__('Slider Setting', 'medidove'),
        'description' => '',
        'priority'    => 16,
        'capability'  => 'edit_theme_options',
        'panel'       => 'medidove_customizer',
    ]);

    $wp_customize->add_section('footer_setting', [
        'title'       => esc_html__('Footer Settings', 'medidove'),
        'description' => '',
        'priority'    => 17,
        'capability'  => 'edit_theme_options',
        'panel'       => 'medidove_customizer',
    ]);

    $wp_customize->add_section('footer_social_setting', [
        'title'       => esc_html__('Footer Social Settings', 'medidove'),
        'description' => '',
        'priority'    => 18,
        'capability'  => 'edit_theme_options',
        'panel'       => 'medidove_customizer',
    ]);

    $wp_customize->add_section('color_setting', [
        'title'       => esc_html__('Color Setting', 'medidove'),
        'description' => '',
        'priority'    => 19,
        'capability'  => 'edit_theme_options',
        'panel'       => 'medidove_customizer',
    ]);

    $wp_customize->add_section('typo_setting', [
        'title'       => esc_html__('Typography Setting', 'medidove'),
        'description' => '',
        'priority'    => 20,
        'capability'  => 'edit_theme_options',
        'panel'       => 'medidove_customizer',
    ]);

    $wp_customize->add_section('404_page', [
        'title'       => esc_html__('404 Page', 'medidove'),
        'description' => '',
        'priority'    => 21,
        'capability'  => 'edit_theme_options',
        'panel'       => 'medidove_customizer',
    ]);

    $wp_customize->add_section('post_type_slug', [
        'title'       => esc_html__('Post Type Slug', 'medidove'),
        'description' => '',
        'priority'    => 22,
        'capability'  => 'edit_theme_options',
        'panel'       => 'medidove_customizer',
    ]);

    $wp_customize->add_section('preloader_setting', [
        'title'       => esc_html__('Preloader Settings', 'medidove'),
        'description' => '',
        'priority'    => 23,
        'capability'  => 'edit_theme_options',
        'panel'       => 'medidove_customizer',
    ]);
    
    
}

add_action('customize_register', 'medidove_customizer_panels_sections');

/*
Header Top Fields
*/
function _header_top_fields($fields)
{

    // header Topbar
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'medidove_header_top_bg_img',
        'label'       => esc_html__('Header Topbar BG Image', 'medidove'),
        'description' => esc_html__('Upload Your image.', 'medidove'),
        'section'     => 'header_top_setting',
        'default'     => '',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'medidove_header_eignt_bg_img',
        'label'       => esc_html__('Header 7 BG Image', 'medidove'),
        'description' => esc_html__('Upload Your image.', 'medidove'),
        'section'     => 'header_top_setting',
        'default'     => '',
    ];

    // Topbar On/Off
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'medidove_topbar_switch',
        'label'    => esc_html__('Topbar On/Off', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'medidove'),
            'off' => esc_html__('Disable', 'medidove'),
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_header_address',
        'label'    => esc_html__('Header Top Address', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => esc_html__('New York, 22 Avenue, USA', 'medidove'),
        'priority' => 10,
    ];


    $fields[] = [
        'type'        => 'image',
        'settings'    => 'icon_message',
        'label'       => esc_html__('Header CTA Message Icon', 'medidove'),
        'description' => esc_html__('Upload Your image.', 'medidove'),
        'section'     => 'header_top_setting',
        'default'     => get_template_directory_uri() . '/img/icon/message-icon.png',
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_header_phone_title',
        'label'    => esc_html__('Phone Title', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => 'Phone Number',
        'priority' => 10,
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'icon_phone',
        'label'       => esc_html__('Header CTA Phone Icon', 'medidove'),
        'description' => esc_html__('Upload Your image.', 'medidove'),
        'section'     => 'header_top_setting',
        'default'     => get_template_directory_uri() . '/img/icon/phone-icon.png',
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_header_phone_number',
        'label'    => esc_html__('Phone Number', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '+8 012 3456 7899',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_header_email_title',
        'label'    => esc_html__('Email Label Title', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => esc_html__('Email Address', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_header_email_address',
        'label'    => esc_html__('Email Address', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => esc_html__('support@gmail.com', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_header_time',
        'label'    => esc_html__('Topbar Time Shedule', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => esc_html__('Mon - Fri: 9.00am - 11.00pm', 'medidove'),
        'priority' => 10,
    ];

    /** button **/
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'medidove_show_button',
        'label'    => esc_html__('Button On/Off', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'medidove'),
            'off' => esc_html__('Disable', 'medidove'),
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_btn_text',
        'label'    => esc_html__('Button Text', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => esc_html__('Make Appointment', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_btn_link',
        'label'    => esc_html__('Button Link', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => esc_html__('#', 'medidove'),
        'priority' => 10,
    ];

    // Top Bar Styling
    $fields[] = [
        'type'     => 'custom',
        'settings' => 'separator_22',
        'label'    => esc_html__('Top Bar Styling', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '<hr>',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'medidove_header_top_bg_color',
        'label'    => esc_html__('Header Topbar BG', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '#F4F9FD',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'tbar_text_color',
        'label'    => esc_html__('Text Color', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.header-info span, .top4-menu ul li a, .header-cta-text h5.theme-color, 
                .header-cta-text span.primary-color'
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'tbar_text_icon_color',
        'label'    => esc_html__('Icon Color', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.header-info span i'
            ],
        ]
    ];

    // Language Styling
    $fields[] = [
        'type'     => 'custom',
        'settings' => 'separator_11',
        'label'    => esc_html__('Language Styling', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '<hr>',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'lang_text_color',
        'label'    => esc_html__('Text Color', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.header-lang span, .header-lang-list li a'
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'lang_text_hvr_color',
        'label'    => esc_html__('Text Hover Color', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.header-lang-list li a:hover'
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'lang_bg_color',
        'label'    => esc_html__('Dropdown BG Color', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.header-lang-list',
                'property'  => 'background',
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'lang_border_color',
        'label'    => esc_html__('Dropdown Border Color', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.header-lang-list',
                'property'  => 'border-color',
            ],
        ]
    ];

    // Social Styling
    $fields[] = [
        'type'     => 'custom',
        'settings' => 'separator_18',
        'label'    => esc_html__('Social Styling', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '<hr>',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'social_icon_color',
        'label'    => esc_html__('Social Icon Color', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.top4-social ul li a i, header.style-6 .top4-social ul li a i'
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'social_icon_hvr_color',
        'label'    => esc_html__('Social Icon Hover Color', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.header-social-icons ul li a:hover, .top4-social ul li a:hover i,
                header.style-6 .top4-social ul li a:hover i'
            ],
        ]
    ];

    // Button Styling
    $fields[] = [
        'type'     => 'custom',
        'settings' => 'separator_12',
        'label'    => esc_html__('Button Styling', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '<hr>',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'btn_text_color',
        'label'    => esc_html__('Button Text Color', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.header-top-right-btn a.btn'
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'btn_text_bg_color',
        'label'    => esc_html__('Button Bg Color', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.header-top-right-btn a.btn',
                'property'  => 'background',
            ],
        ]
    ];
    $fields[] = [
        'type'     => 'color',
        'settings' => 'btn_text_hvr_color',
        'label'    => esc_html__('Button Text Hover Color', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.header-top-right-btn a.btn:hover'
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'btn_text_hvr_bg_color',
        'label'    => esc_html__('Button Hover Bg Color', 'medidove'),
        'section'  => 'header_top_setting',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.header-top-right-btn a.btn:hover',
                'property'  => 'background',
            ],
        ]
    ];


    return $fields;
}
add_filter('kirki/fields', '_header_top_fields');

/*
Header Mobile Info
*/
function _header_mobile_info_fields($fields)
{

    // Mobile Info On/Off
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'medidove_side_hide',
        'label'    => esc_html__('Mobile Info On/Off', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'medidove'),
            'off' => esc_html__('Disable', 'medidove'),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'medidove_mobile_logo_hide',
        'label'    => esc_html__('Mobile Logo On/Off', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'medidove'),
            'off' => esc_html__('Disable', 'medidove'),
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_mob_header_address',
        'label'    => esc_html__('Header Top Address', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => esc_html__('New York, 22 Avenue, USA', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_mob_side_info_title',
        'label'    => esc_html__('Info Title', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => esc_html__('Contact Info', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_mob_header_phone_number',
        'label'    => esc_html__('Phone Number', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => esc_html__('+8 012 3456 7899', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_mob_header_email_address',
        'label'    => esc_html__('Email Address', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => esc_html__('support@gmail.com', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_mob_header_time',
        'label'    => esc_html__('Time Shedule', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => esc_html__('Mon - Fri: 9.00am - 11.00pm', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_mob_button',
        'label'    => esc_html__('Button Text', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => esc_html__('Contact Us', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_mob_button_url',
        'label'    => esc_html__('Button URL', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => esc_html__('#', 'medidove'),
        'priority' => 10,
    ];

    // Sidebar Bg Styling
    $fields[] = [
        'type'     => 'custom',
        'settings' => 'separator_15',
        'label'    => esc_html__('Sidebar Bg Styling', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => '<hr>',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'sidebar_bg_color',
        'label'    => esc_html__('Sidebar Bg Color', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.side-info',
                'property'  => 'background',
            ],
        ]
    ];
    
    // mobile menu Styling
    $fields[] = [
        'type'     => 'custom',
        'settings' => 'separator_27',
        'label'    => esc_html__('Mobile Menu Styling', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => '<hr>',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'menu_text_color',
        'label'    => esc_html__('Menu Color', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.mean-container .mean-nav ul li a,
                .mean-container .mean-nav ul li ul li a, 
                .mean-container .mean-nav ul li a.mean-expand'
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'menu_text_hvr_color',
        'label'    => esc_html__('Menu Text Hover Color', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.mean-container .mean-nav ul li a:hover',
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'menu_expand_hvr_color',
        'label'    => esc_html__('Menu Expand Bg Color', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.mean-container .mean-nav ul li a.mean-clicked, 
                .mean-container .mean-nav ul li a.mean-expand:hover',
                'property'  => 'background',
            ],
        ]
    ];

    // Contact Styling
    $fields[] = [
        'type'     => 'custom',
        'settings' => 'separator_3',
        'label'    => esc_html__('Contact Title Styling', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => '<hr>',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'contact_text_color',
        'label'    => esc_html__('Contact Title Color', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.contact-infos h4'
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'contact_list_text_color',
        'label'    => esc_html__('Contact List Title Color', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.contact-infos ul li, .contact-infos ul li a'
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'contact_list_icon_color',
        'label'    => esc_html__('Contact List Icon Color', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.contact-infos ul li i'
            ],
        ]
    ];

    // Contact Button Styling
    $fields[] = [
        'type'     => 'custom',
        'settings' => 'separator_2',
        'label'    => esc_html__('Contact Button Styling', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => '<hr>',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'contact_btn_text_color',
        'label'    => esc_html__('Button Text Color', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.side-btn a.btn'
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'contact_btn_text_bg_color',
        'label'    => esc_html__('Button Bg Color', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.side-btn a.btn',
                'property'  => 'background',
            ],
        ]
    ];
    $fields[] = [
        'type'     => 'color',
        'settings' => 'contact_btn_text_hvr_color',
        'label'    => esc_html__('Button Text Hover Color', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.side-btn a.btn:hover'
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'contact_btn_text_hvr_bg_color',
        'label'    => esc_html__('Button Hover Bg Color', 'medidove'),
        'section'  => 'header_mobile_info',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.side-btn a.btn:hover',
                'property'  => 'background',
            ],
        ]
    ];

    return $fields;
}
add_filter('kirki/fields', '_header_mobile_info_fields');

/*
Header Social Settings
*/
function header_mobile_social_setting($fields)
{
    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_topbar_fb_url',
        'label'    => esc_html__('Facebook Url', 'medidove'),
        'section'  => 'header_socials_setting',
        'default'  => esc_html__('#', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_topbar_instagram_url',
        'label'    => esc_html__('Instagram Url', 'medidove'),
        'section'  => 'header_socials_setting',
        'default'  => esc_html__('#', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_topbar_youtube_url',
        'label'    => esc_html__('Youtube Url', 'medidove'),
        'section'  => 'header_socials_setting',
        'default'  => esc_html__('#', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_topbar_linkedin_url',
        'label'    => esc_html__('Linkin Url', 'medidove'),
        'section'  => 'header_socials_setting',
        'default'  => esc_html__('#', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_topbar_twitter_url',
        'label'    => esc_html__('Twitter Url', 'medidove'),
        'section'  => 'header_socials_setting',
        'default'  => esc_html__('#', 'medidove'),
        'priority' => 10,
    ];


    // Social Styling
    $fields[] = [
        'type'     => 'custom',
        'settings' => 'separator_1',
        'label'    => esc_html__('Header Social Styling', 'medidove'),
        'section'  => 'header_socials_setting',
        'default'  => '<hr>',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'social_text_color',
        'label'    => esc_html__('Social Color', 'medidove'),
        'section'  => 'header_socials_setting',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => 'div.sidebar__menu--social ul li a i'
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'social_text_bg_color',
        'label'    => esc_html__('Social Bg Color', 'medidove'),
        'section'  => 'header_socials_setting',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => 'div.sidebar__menu--social a',
                'property'  => 'background',
            ],
        ]
    ];


    $fields[] = [
        'type'     => 'color',
        'settings' => 'social_text_hvr_color',
        'label'    => esc_html__('Social Hover Color', 'medidove'),
        'section'  => 'header_socials_setting',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => 'div.sidebar__menu--social a:hover i'
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'social_text_hvr_bg_color',
        'label'    => esc_html__('Social Hover Bg Color', 'medidove'),
        'section'  => 'header_socials_setting',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => 'div.sidebar__menu--social a::before',
                'property'  => 'background',
            ],
        ]
    ];


    return $fields;
}
add_filter('kirki/fields', 'header_mobile_social_setting');

/*
Header Settings
 */
function _header_header_fields($fields)
{

    $fields[] = [
        'type'        => 'select',
        'settings'    => 'choose_default_header',
        'label'       => esc_html__('Choose Header Style', 'medidove'),
        'section'     => 'section_header_logo',
        'default'     => 'header-style-1',
        'placeholder' => esc_html__('Select an option...', 'medidove'),
        'priority'    => 10,
        'choices'     => [
            'header-style-1' => esc_html__('Header Style 1', 'medidove'),
            'header-style-2' => esc_html__('Header Style 2', 'medidove'),
            'header-style-3' => esc_html__('Header Style 3', 'medidove'),
            'header-style-4' => esc_html__('Header Style 4', 'medidove'),
            'header-style-5' => esc_html__('Header Style 5', 'medidove'),
            'header-style-6' => esc_html__('Header Style 6', 'medidove'),
            'header-style-7' => esc_html__('Header Style 7', 'medidove'),
        ],
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'logo',
        'label'       => esc_html__('Header Logo', 'medidove'),
        'description' => esc_html__('Upload Your Logo.', 'medidove'),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/img/logo/logo.png'
    ];

    $fields[] = [
        'type'     => 'number',
        'settings' => 'logo_width',
        'label'    => esc_html__('Logo Width(px)', 'medidove'),
        'section'  => 'section_header_logo',
        'description' => esc_html__('It contains only number like 120, 130, 140.', 'medidove'),
        'priority' => 10,
        'default'  => '',
        'output'   => [
            [
                'element'  => '.logo a img',
                'property' => 'max-width',
                'units'       => 'px'
            ]
        ]
    ];



    $fields[] = [
        'type'     => 'number',
        'settings' => 'logo_height',
        'label'    => esc_html__('Logo Height(px)', 'medidove'),
        'section'  => 'section_header_logo',
        'description' => esc_html__('It contains only number like 50, 60, 80.', 'medidove'),
        'priority' => 10,
        'default'  => '',
        'output'   => [
            [
                'element'  => '.logo a img',
                'property' => 'height',
                'units'       => 'px'
            ]
        ]
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'seconday_logo',
        'label'       => esc_html__('Header White Logo', 'medidove'),
        'description' => esc_html__('Upload Your Logo.', 'medidove'),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/img/logo/logo-white.png'
    ];

    // Sticky Menu
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'medidove_sticky_switch',
        'label'    => esc_html__('Sticky Menu', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'medidove'),
            'off' => esc_html__('Disable', 'medidove'),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'medidove_header_lang',
        'label'    => esc_html__('Show Language', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'medidove'),
            'off' => esc_html__('Disable', 'medidove'),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'medidove_header_default_search',
        'label'    => esc_html__('Show Header Search', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'medidove'),
            'off' => esc_html__('Disable', 'medidove'),
        ],
    ];

    /** Contact Us **/
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'medidove_contact_button',
        'label'    => esc_html__('Contact On/Off', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'medidove'),
            'off' => esc_html__('Disable', 'medidove'),
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_contact_text',
        'label'    => esc_html__('Contact Text', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => esc_html__('Make Appointment', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_contact_link',
        'label'    => esc_html__('Contact Link', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => esc_html__('#', 'medidove'),
        'priority' => 10,
    ];


    /** make a call **/
        $fields[] = [
        'type'     => 'switch',
        'settings' => 'medidove_call_button',
        'label'    => esc_html__('Call Button On/Off', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'medidove'),
            'off' => esc_html__('Disable', 'medidove'),
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_call_text',
        'label'    => esc_html__('Call Text', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => esc_html__('Make A Call', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_call_link',
        'label'    => esc_html__('Call Link', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => esc_html__('#', 'medidove'),
        'priority' => 10,
    ];
    

    // menu style
    $fields[] = [
        'type'     => 'custom',
        'settings' => 'separator_4',
        'label'    => esc_html__('Menu Styling', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => '<hr>',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'menu_color',
        'label'    => esc_html__('Color', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.header__menu ul li a, .header__menu.menu-dark ul li a,.header__menu.menu-dark ul li ul.submenu li a,.header__menu.header-menu-white ul li a'
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'menu_hvr_color',
        'label'    => esc_html__('Hover Color', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.header__menu ul li ul.submenu li a:hover, .header__menu ul li:hover > a,
                .header__menu.menu-dark ul li:hover > a,.header__menu.menu-dark ul li ul.submenu li:hover > a, .header__menu.header-menu-white ul li:hover > a,.header__menu.header-menu-white ul li ul.submenu li:hover > a'
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'dimensions',
        'settings' => 'menu_padding',
        'label'    => esc_html__('Padding (ex:10px)', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => [
            'padding-top'   => '',
            'padding-bottom'  => '',
        ],
        'choices'     => [
            'labels' => [
                'padding-top' => esc_html__('Padding Top', 'medidove'),
                'padding-bottom' => esc_html__('Padding Bottom', 'medidove'),
            ],
        ],
        'output'    => [
            [
                'element'  => '.header__menu ul li a'
            ],
        ],
    ];

    // Dropdown Menu
    $fields[] = [
        'type'     => 'custom',
        'settings' => 'separator_5',
        'label'    => esc_html__('Dropdown Menu Styling', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => '<hr>',
        'priority' => 10,
    ];


    $fields[] = [
        'type'     => 'color',
        'settings' => 'smenu_border_color',
        'label'    => esc_html__('Border Color', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.header__menu ul li ul.submenu',
                'property'  => 'border-color',
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'smenu_bg_color',
        'label'    => esc_html__('Background Color', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.header__menu ul li ul.submenu',
                'property' => 'background'
            ],
        ]
    ];

    // Header Social
    $fields[] = [
        'type'     => 'custom',
        'settings' => 'separator_10',
        'label'    => esc_html__('Header Social Style', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => '<hr>',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'header_social_color',
        'label'    => esc_html__('Header Social Color', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.header-social-icons ul li a'
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'header_social_hvr_color',
        'label'    => esc_html__('Header Social Hover Color', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.header-social-icons ul li a:hover, .header-menu-blue .header-social-icons ul li a:hover'
            ],
        ]
    ];

    // Header Area Style
    $fields[] = [
        'type'     => 'custom',
        'settings' => 'separator_6',
        'label'    => esc_html__('Header Area Style', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => '<hr>',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'header_bg_color',
        'label'    => esc_html__('Background Color', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.header-menu-area',
                'property' => 'background'
            ],
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'header_sticky_color',
        'label'    => esc_html__('Sticky Background Color', 'medidove'),
        'section'  => 'section_header_logo',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.header-menu-area.sticky-header',
                'property' => 'background'
            ],
        ]
    ];
    return $fields;
}
add_filter('kirki/fields', '_header_header_fields');


/*
_header_page_title_fields
 */
function _header_page_title_fields($fields)
{
    // Breadcrumb Setting
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'breadcrumb_bg_img',
        'label'       => esc_html__('Breadcrumb Background Image', 'medidove'),
        'description' => esc_html__('Breadcrumb Background Image', 'medidove'),
        'section'     => 'breadcrumb_setting',
        'default'     => get_template_directory_uri() . '/img/bg/page-title.jpg',
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'medidove_breadcrumb_bg_color',
        'label'       => __('Background Color', 'medidove'),
        'description' => esc_html__('This is acolor control.', 'medidove'),
        'section'     => 'breadcrumb_setting',
        'default'     => '#F4F9FD',
        'priority'    => 10,
        'output'      => [
            [
                'element'  => '.breadcrumb-area.gray-bg',
                'property' => 'background-color'
            ],
        ]
    ];

    $fields[] = [
        'type'      => 'dimensions',
        'label'     => esc_html__('Padding (Ex: 100px)', 'medidove'),
        'section'   => 'breadcrumb_setting',
        'transport' => 'auto',
        'priority'  => 10,
        'choices'   => [
            'desktop' => esc_attr__('Desktop', 'medidove'),
            'tablet'  => esc_attr__('Tablet', 'medidove'),
            'mobile'  => esc_attr__('Mobile', 'medidove'),
        ],
        'output'    => [
            [
                'choice'      => 'mobile',
                'element'     => '.breadcrumb-spacing',
                'property'    => 'padding-top',
                'media_query' => '@media (max-width: 767px)',
            ],
            [
                'choice'      => 'mobile',
                'element'     => '.breadcrumb-spacing',
                'property'    => 'padding-bottom',
                'media_query' => '@media (max-width: 767px)',
            ],
            [
                'choice'      => 'tablet',
                'element'     => '.breadcrumb-spacing',
                'property'    => 'padding-top',
                'media_query' => '@media (min-width: 768px) and (max-width: 1024px)',
            ],
            [
                'choice'      => 'tablet',
                'element'     => '.breadcrumb-spacing',
                'property'    => 'padding-bottom',
                'media_query' => '@media (min-width: 768px) and (max-width: 1024px)',
            ],
            [
                'choice'      => 'desktop',
                'element'     => '.breadcrumb-spacing',
                'property'    => 'padding-top',
                'media_query' => '@media (min-width: 1024px)',
            ],
            [
                'choice'      => 'desktop',
                'element'     => '.breadcrumb-spacing',
                'property'    => 'padding-bottom',
                'media_query' => '@media (min-width: 1024px)',
            ],
        ],
        'default' => [
            'desktop' => '',
            'tablet'  => '',
            'mobile'  => '',
        ]
    ];

    $fields[] = [
        'type'        => 'select',
        'settings'    => 'choose_btitle_tag',
        'label'       => esc_html__('Choose Title Tag', 'medidove'),
        'section'     => 'breadcrumb_setting',
        'default'     => 'h1',
        'placeholder' => esc_html__('Select an option...', 'medidove'),
        'priority'    => 10,
        'choices'     => [
            'h1' => esc_html__('H1', 'medidove'),
            'h2' => esc_html__('H2', 'medidove'),
            'h3' => esc_html__('H3', 'medidove'),
            'h4' => esc_html__('H4', 'medidove'),
            'h5' => esc_html__('H5', 'medidove'),
            'h6' => esc_html__('H6', 'medidove'),
        ],
    ];

    $fields[] = [
        'type'      => 'dimensions',
        'label'     => esc_html__('Title Size (Ex: 50px)', 'medidove'),
        'section'   => 'breadcrumb_setting',
        'transport' => 'auto',
        'priority'  => 10,
        'choices'   => [
            'desktop' => esc_attr__('Desktop', 'medidove'),
            'tablet'  => esc_attr__('Tablet', 'medidove'),
            'mobile'  => esc_attr__('Mobile', 'medidove'),
        ],
        'output'    => [
            [
                'choice'      => 'mobile',
                'element'     => '.page-title .breadcrumb__title',
                'property'    => 'font-size',
                'media_query' => '@media (max-width: 767px)',
            ],
            [
                'choice'      => 'tablet',
                'element'     => '.page-title .breadcrumb__title',
                'property'    => 'font-size',
                'media_query' => '@media (min-width: 768px) and (max-width: 1024px)',
            ],
            [
                'choice'      => 'desktop',
                'element'     => '.page-title .breadcrumb__title',
                'property'    => 'font-size',
                'media_query' => '@media (min-width: 1024px)',
            ],
        ],
        'default' => [
            'desktop' => '',
            'tablet'  => '',
            'mobile'  => '',
        ]
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'pnav_color',
        'label'       => __('Page Nav Color', 'medidove'),
        'description' => esc_html__('This is acolor control.', 'medidove'),
        'section'     => 'breadcrumb_setting',
        'default'     => '',
        'priority'    => 10,
        'output'      => [
            [
                'element'  => '.breadcrumb-menu span a',
            ],
        ]
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'pnav_hvr_color',
        'label'       => __('Page Nav Hover Color', 'medidove'),
        'description' => esc_html__('This is acolor control.', 'medidove'),
        'section'     => 'breadcrumb_setting',
        'default'     => '',
        'priority'    => 10,
        'output'      => [
            [
                'element'  => '.breadcrumb-menu span.current-item',
            ],
        ]
    ];


    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_product_details',
        'label'    => esc_html__('Product Details Title', 'medidove'),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__('Product Details', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_department_details',
        'label'    => esc_html__('Department Details Title', 'medidove'),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__('Department Details', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_archive',
        'label'    => esc_html__('Breadcrumb Archive', 'medidove'),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__('Archive for category', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_search',
        'label'    => esc_html__('Breadcrumb Search', 'medidove'),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__('Search results for', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_post_tags',
        'label'    => esc_html__('Breadcrumb tagged', 'medidove'),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__('Posts tagged', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_artitle_post_by',
        'label'    => esc_html__('Breadcrumb posted by', 'medidove'),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__('Articles posted by', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_404',
        'label'    => esc_html__('Breadcrumb Page Not Found', 'medidove'),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__('Page Not Found', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_page',
        'label'    => esc_html__('Breadcrumb Page', 'medidove'),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__('Page', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_shop',
        'label'    => esc_html__('Breadcrumb Shop', 'medidove'),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__('Shop', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_home',
        'label'    => esc_html__('Breadcrumb Home', 'medidove'),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__('Home', 'medidove'),
        'priority' => 10,
    ];
    return $fields;
}
add_filter('kirki/fields', '_header_page_title_fields');

/*
    Blog field
 */
function _header_blog_fields($fields)
{

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'medidove_blog_btn_switch',
        'label'    => esc_html__('Blog BTN On/Off', 'medidove'),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'medidove'),
            'off' => esc_html__('Disable', 'medidove'),
        ],
    ];
  
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'medidove_blog_btn_icon_switch',
        'label'    => esc_html__('Blog Btn Icon On/Off', 'medidove'),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'medidove'),
            'off' => esc_html__('Disable', 'medidove'),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'medidove_blog_date_switch',
        'label'    => esc_html__('Blog Date On/Off', 'medidove'),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'medidove'),
            'off' => esc_html__('Disable', 'medidove'),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'medidove_blog_user_switch',
        'label'    => esc_html__('Blog User On/Off', 'medidove'),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'medidove'),
            'off' => esc_html__('Disable', 'medidove'),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'medidove_blog_comments_switch',
        'label'    => esc_html__('Blog Comments On/Off', 'medidove'),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'medidove'),
            'off' => esc_html__('Disable', 'medidove'),
        ],
    ];

    $fields[] = [
        'type'     => 'number',
        'settings' => 'excerpt_length',
        'label'    => esc_html__('Excerpt Length', 'medidove'),
        'section'  => 'blog_setting',
        'default'  => 25,
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_blog_btn',
        'label'    => esc_html__('Blog Button text', 'medidove'),
        'section'  => 'blog_setting',
        'default'  => esc_html__('Read More', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_blog_btn_icon',
        'label'    => esc_html__('Blog Button Icon', 'medidove'),
        'section'  => 'blog_setting',
        'default' => esc_html__('fas fa-angle-double-right', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_blog_title',
        'label'    => esc_html__('Breadcrumb Blog Title', 'medidove'),
        'section'  => 'blog_setting',
        'default' => esc_html__('Blog', 'medidove'),
        'priority' => 10,
    ];


    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_blog_title_details',
        'label'    => esc_html__('Breadcrumb Blog Details Title', 'medidove'),
        'section'  => 'blog_setting',
        'default' => esc_html__('Blog Details', 'medidove'),
        'priority' => 10,
    ];

    return $fields;
}
add_filter('kirki/fields', '_header_blog_fields');

/*
    Slider Setting
*/

function _medi_slider_setting($fields)
{

    $fields[] = [
        'type'        => 'text',
        'settings'    => 'medidove_slider_spacing',
        'label'       => __('Slider 1 Height', 'medidove'),
        'description' => esc_html__('This is slider height control.', 'medidove'),
        'section'     => 'slider_setting',
        'default'     => '900px',
        'priority'    => 10,
        'output'      => [
            [
                'element'  => '.h4slider-bg',
                'property' => 'min-height'
            ],
        ]
    ];

    $fields[] = [
        'type'        => 'text',
        'settings'    => 'medidove_slider2_spacing',
        'label'       => __('Slider 2 Height', 'medidove'),
        'description' => esc_html__('This is slider height control.', 'medidove'),
        'section'     => 'slider_setting',
        'default'     => '700px',
        'priority'    => 10,
        'output'      => [
            [
                'element'  => '.slider-active .single-slider.slider-height',
                'property' => 'min-height'
            ],
        ]
    ];

    $fields[] = [
        'type'        => 'text',
        'settings'    => 'medidove_slider3_spacing',
        'label'       => __('Slider 3 Height', 'medidove'),
        'description' => esc_html__('This is slider height control.', 'medidove'),
        'section'     => 'slider_setting',
        'default'     => '870px',
        'priority'    => 10,
        'output'      => [
            [
                'element'  => 'div.slider8-height',
                'property' => 'min-height'
            ],
        ]
    ];

    return $fields;
}
add_filter('kirki/fields', '_medi_slider_setting');

/*
Footer
 */
function _header_footer_fields($fields)
{

    $fields[] = [
        'type'        => 'select',
        'settings'    => 'choose_default_footer',
        'label'       => esc_html__('Choose Footer Style', 'medidove'),
        'section'     => 'footer_setting',
        'default'     => 'footer-style-3',
        'placeholder' => esc_html__('Select an option...', 'medidove'),
        'priority'    => 10,
        'choices'     => [
            'footer-style-1' => esc_html__('Footer Style 1', 'medidove'),
            'footer-style-2' => esc_html__('Footer Style 2', 'medidove'),
            'footer-style-3' => esc_html__('Footer Style 3', 'medidove'),
            'footer-style-4' => esc_html__('Footer Style 4', 'medidove'),
            'footer-style-5' => esc_html__('Footer Style 5', 'medidove'),
        ],
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'medidove_footer_bg_url',
        'label'       => esc_html__('Footer BG Image', 'medidove'),
        'description' => esc_html__('Upload Your Image.', 'medidove'),
        'section'     => 'footer_setting',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'medidove_footer_top_logo',
        'label'       => esc_html__('Footer Top Logo', 'medidove'),
        'description' => esc_html__('Upload Your Logo.', 'medidove'),
        'section'     => 'footer_setting',
        'default' => get_template_directory_uri() . '/img/logo/footer-logo-3.png',
    ];

    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'medidove_copyright',
        'label'    => esc_html__('Copy Right', 'medidove'),
        'section'  => 'footer_setting',
        'default'  => esc_html__('Copyright &copy;2023 medidove. All Rights Reserved Copyright', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'medidove_scrollup_switch',
        'label'    => esc_html__('Scrollup Hide', 'medidove'),
        'section'  => 'footer_setting',
        'default'  => false,
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'medidove'),
            'off' => esc_html__('Disable', 'medidove'),
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_footer_emergency',
        'label'    => esc_html__('Widget Emergency number text', 'medidove'),
        'section'  => 'footer_setting',
        'default'  => esc_html__('Emergency number', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'medidove_footer_card_switch',
        'label'    => esc_html__('Footer Card Show/Hide', 'medidove'),
        'section'  => 'footer_setting',
        'default'  => false,
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'medidove'),
            'off' => esc_html__('Disable', 'medidove'),
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_footer_emergency',
        'label'    => esc_html__('Widget Emergency number text', 'medidove'),
        'section'  => 'footer_setting',
        'default'  => esc_html__('Emergency number', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_footer_card_label',
        'label'    => esc_html__('Footer Card Image Label', 'medidove'),
        'section'  => 'footer_setting',
        'default'  => esc_html__('We Support', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'medidove_footer_card_img',
        'label'       => esc_html__('Footer Card Image', 'medidove'),
        'description' => esc_html__('Upload Your Image.', 'medidove'),
        'section'     => 'footer_setting',
    ];
     
    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_footer_card_img_url',
        'label'    => esc_html__('Footer Card Image URL', 'medidove'),
        'section'  => 'footer_setting',
        'default'  => '#',
        'priority' => 10,
    ];
    
    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_footer_phone_number_label',
        'label'    => esc_html__('Phone Number', 'medidove'),
        'section'  => 'footer_setting',
        'priority' => 10,
    ];
    
    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_footer_phone_number',
        'label'    => esc_html__('Footer Top Phone Number', 'medidove'),
        'default' => esc_html__('+012 (345) 789', 'medidove'),
        'section'  => 'footer_setting',
        'priority' => 10,
    ];

    // footer style
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'medidove_footer_bg_color',
        'label'       => __('Footer BG Color', 'medidove'),
        'section'     => 'footer_setting',
        'default'     => '#13232F',
        'priority'    => 10,
        'output'      => [
            [
                'element' => '.footer-top.primary-bg',
                'property' => 'background'
            ]
        ]
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'medidove_footer_bottom_bg_color',
        'label'       => __('Footer Bottom BG Color', 'medidove'),
        'section'     => 'footer_setting',
        'default'     => '#0d1b26',
        'priority'    => 10,
        'output'      => [
            [
                'element' => '.footer-bottom',
                'property' => 'background'
            ]
        ]
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'footer_border_color',
        'label'       => __('Border Color', 'medidove'),
        'section'     => 'footer_setting',
        'default'     => '',
        'priority'    => 10,
        'output'      => [
            [
                'element' => '.footer-top-form, .footer-bottom-0',
                'property' => 'border-color'
            ]
        ]
    ];
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'footer_title_color',
        'label'       => __('Title Color', 'medidove'),
        'section'     => 'footer_setting',
        'default'     => '',
        'priority'    => 10,
        'output'      => [
            [
                'element' => '.footer-title h3',
                'property' => 'color'
            ]
        ]
    ];
    
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'footer_text_color',
        'label'       => __('Paragraph Color', 'medidove'),
        'section'     => 'footer_setting',
        'default'     => '',
        'priority'    => 10,
        'output'      => [
            [
                'element' => '.footer-widget p, .footer-contact-info-3 .footer-contact-content p',
                'property' => 'color'
            ]
        ]
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'footer_contact_color',
        'label'       => __('Contact Color', 'medidove'),
        'section'     => 'footer_setting',
        'default'     => '',
        'priority'    => 10,
        'output'      => [
            [
                'element' => '.widget_custom_html .footer-emailing ul li, .footer-contact-info-3 .footer-emailing ul li, .footer-co-content h4',
                'property' => 'color'
            ]
        ]
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'footer_link_color',
        'label'       => __('Link Color', 'medidove'),
        'section'     => 'footer_setting',
        'default'     => '',
        'priority'    => 10,
        'output'      => [
            [
                'element' => '.footer-widget ul li a',
                'property' => 'color'
            ]
        ]
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'footer_link_hvr_color',
        'label'       => __('Link Hover Color', 'medidove'),
        'section'     => 'footer_setting',
        'default'     => '',
        'priority'    => 10,
        'output'      => [
            [
                'element' => '.footer-widget ul li a:hover',
                'property' => 'color'
            ]
        ]
    ];
    
    // Footer Copy Right
    $fields[] = [
        'type'     => 'custom',
        'settings' => 'separator_31',
        'label'    => esc_html__('Footer Copy Right Style', 'medidove'),
        'section'  => 'footer_setting',
        'default'  => '<hr>',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'copyright_color',
        'label'    => esc_html__('Copy Right Color', 'medidove'),
        'section'  => 'footer_setting',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.footer-copyright-3 p, .footer-copyright-area .white-color'
            ],
        ]
    ];

    return $fields;
}
add_filter('kirki/fields', '_header_footer_fields');

/*
Footer social
 */
function _footer_social_style_fields($fields)
{
    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_topbars_fb_url',
        'label'    => esc_html__('Facebook Url', 'medidove'),
        'section'  => 'footer_social_setting',
        'default'  => '#',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_topbars_instagram_url',
        'label'    => esc_html__('Instagram Url', 'medidove'),
        'section'  => 'footer_social_setting',
        'default'  => '#',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_topbars_youtube_url',
        'label'    => esc_html__('Youtube Url', 'medidove'),
        'section'  => 'footer_social_setting',
        'default'  => '#',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_topbars_linkedin_url',
        'label'    => esc_html__('Linkin Url', 'medidove'),
        'section'  => 'footer_social_setting',
        'default'  => '#',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_topbars_twitter_url',
        'label'    => esc_html__('Twitter Url', 'medidove'),
        'section'  => 'footer_social_setting',
        'default'  => '#',
        'priority' => 10,
    ];

    // Footer Social Style
    $fields[] = [
        'type'     => 'custom',
        'settings' => 'separator_30',
        'label'    => esc_html__('Footer Social Style', 'medidove'),
        'section'  => 'footer_social_setting',
        'default'  => '<hr>',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'footer_social_color',
        'label'    => esc_html__('Footer Social Color', 'medidove'),
        'section'  => 'footer_social_setting',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.h4footer-social ul li a, .footer-co-content ul li a'
            ],
        ]
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'footer_social_bg_color',
        'label'       => __('Footer Social Bg Color', 'medidove'),
        'section'     => 'footer_social_setting',
        'default'     => '',
        'priority'    => 10,
        'output'      => [
            [
                'element' => '.h4footer-social ul li a, .footer-co-content ul li a',
                'property' => 'background'
            ]
        ]
    ];

    $fields[] = [
        'type'     => 'color',
        'settings' => 'footer_social_hvr_color',
        'label'    => esc_html__('Footer Social Hover Color', 'medidove'),
        'section'  => 'footer_social_setting',
        'default'  => '',
        'priority' => 10,
        'output'   => [
            [
                'element'  => '.h4footer-social ul li a:hover, .footer-co-content ul li a:hover'
            ],
        ]
    ];

    
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'footer_social_hvr_bg_color',
        'label'       => __('Footer Social Bg Color', 'medidove'),
        'section'     => 'footer_social_setting',
        'default'     => '',
        'priority'    => 10,
        'output'      => [
            [
                'element' => '.h4footer-social ul li a:hover, .footer-co-content ul li a:hover',
                'property' => 'background'
            ]
        ]
    ];


    return $fields;
}
add_filter('kirki/fields', '_footer_social_style_fields');

// color
function medidove_color_fields($fields)
{
    // Color Settings
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'medidove_color_option',
        'label'       => __('Theme Color', 'medidove'),
        'section'     => 'color_setting',
        'default'     => '#e12454',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'medidove_sec_color_option',
        'label'       => __('Theme Sec Color', 'medidove'),
        'section'     => 'color_setting',
        'default'     => '#8fb569',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'mtitle_color_option',
        'label'       => __('Title Color', 'medidove'),
        'section'     => 'color_setting',
        'default'     => '#223645',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'msubtitle_color_option',
        'label'       => __('Sub Title Color', 'medidove'),
        'section'     => 'color_setting',
        'default'     => '#647589',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'mbody_color_option',
        'label'       => __('Body Text Color', 'medidove'),
        'section'     => 'color_setting',
        'default'     => '#647589',
        'priority'    => 10,
    ];

    return $fields;
}
add_filter('kirki/fields', 'medidove_color_fields');

// 404
function medidove_404_fields($fields)
{
    // 404 settings
    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_error_404_text',
        'label'    => esc_html__('400 Text', 'medidove'),
        'section'  => '404_page',
        'default'  => esc_html__('404', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_error_title',
        'label'    => esc_html__('Not Found Title', 'medidove'),
        'section'  => '404_page',
        'default'  => esc_html__('Page not found', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'medidove_error_desc',
        'label'    => esc_html__('404 Description Text', 'medidove'),
        'section'  => '404_page',
        'default'  => esc_html__('Oops! The page you are looking for does not exist. It might have been moved or deleted', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_error_link_text',
        'label'    => esc_html__('404 Link Text', 'medidove'),
        'section'  => '404_page',
        'default'  => esc_html__('Back To Home', 'medidove'),
        'priority' => 10,
    ];

    return $fields;
}
add_filter('kirki/fields', 'medidove_404_fields');

/**
 * Typography Fields
 */
function medidove_typo_fields($fields)
{
    // typography settings
    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_body_setting',
        'label'       => esc_html__('Body Font', 'medidove'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'body',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h_setting',
        'label'       => esc_html__('Heading h1 Fonts', 'medidove'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h1',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h2_setting',
        'label'       => esc_html__('Heading h2 Fonts', 'medidove'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h2',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h3_setting',
        'label'       => esc_html__('Heading h3 Fonts', 'medidove'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h3',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h4_setting',
        'label'       => esc_html__('Heading h4 Fonts', 'medidove'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h4',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h5_setting',
        'label'       => esc_html__('Heading h5 Fonts', 'medidove'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h5',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h6_setting',
        'label'       => esc_html__('Heading h6 Fonts', 'medidove'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h6',
            ],
        ],
    ];
    return $fields;
}

add_filter('kirki/fields', 'medidove_typo_fields');

/**
 * Post Type Fields
 */
function medidove_post_type_fields($fields)
{
    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_sv_name',
        'label'    => esc_html__('Service Name', 'medidove'),
        'section'  => 'post_type_slug',
        'default'  => esc_html__('Services', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_sv_slug',
        'label'    => esc_html__('Service Slug', 'medidove'),
        'section'  => 'post_type_slug',
        'default'  => esc_html__('service', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_mem_name',
        'label'    => esc_html__('Member Name', 'medidove'),
        'section'  => 'post_type_slug',
        'default'  => esc_html__('Member', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_mem_slug',
        'label'    => esc_html__('Member Slug', 'medidove'),
        'section'  => 'post_type_slug',
        'default'  => esc_html__('member', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_port_name',
        'label'    => esc_html__('Portfolio Name', 'medidove'),
        'section'  => 'post_type_slug',
        'default'  => esc_html__('Portfolio', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_port_slug',
        'label'    => esc_html__('Portfolio Slug', 'medidove'),
        'section'  => 'post_type_slug',
        'default'  => esc_html__('Portfolio', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_post_cat',
        'label'    => esc_html__('Portfolio/Service Category', 'medidove'),
        'section'  => 'post_type_slug',
        'default'  => esc_html__('Category', 'medidove'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'medidove_post_mem',
        'label'    => esc_html__('Member Category', 'medidove'),
        'section'  => 'post_type_slug',
        'default'  => esc_html__('Member', 'medidove'),
        'priority' => 10,
    ];

    return $fields;
}

add_filter('kirki/fields', 'medidove_post_type_fields');

// Preloader field
function medidove_preloader_fields($fields)
{
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'medidove_preloader',
        'label'    => esc_html__('Preloader On/Off', 'medidove'),
        'section'  => 'preloader_setting',
        'default'  => true,
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'medidove'),
            'off' => esc_html__('Disable', 'medidove'),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'medidove_preloader_text_off',
        'label'    => esc_html__('Preloader Text On/Off', 'medidove'),
        'section'  => 'preloader_setting',
        'default'  => true,
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'medidove'),
            'off' => esc_html__('Disable', 'medidove'),
        ],
    ];

    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'medidove_preloader_text',
        'label'    => esc_html__('Preloader Text', 'medidove'),
        'section'  => 'preloader_setting',
        'default'  => esc_html__('', 'medidove'),
        'priority' => 10,
    ];
    
    return $fields;
}

add_filter('kirki/fields', 'medidove_preloader_fields');

/**
 * This is a short hand function for getting setting value from customizer
 *
 * @param string $name
 *
 * @return bool|string
 */
function medidove_THEME_option($name)
{
    $value = '';
    if (class_exists('medidove')) {
        $value = Kirki::get_option(medidove_get_theme(), $name);
    }

    return apply_filters('medidove_THEME_option', $value, $name);
}

/**
 * Get config ID
 *
 * @return string
 */
function medidove_get_theme()
{
    return 'medidove';
}
